/* v.böhm, december 2012 */

sketch.default2d();
outlets = 1;

var length = 5;
var scale = 1;
var n = 1.5;
var step = 0.01;


function bang() {
	draw();
}


function list(sc, len, nn) {
	scale = sc;
	n = nn;
	length = len;
	
	bang();
}


function delta(d) {
	step = d;
	if(step<0.001) step = 0.001;
	bang();
}

function draw() 
{
	var i, x, y, v, w, t, a, end;
	
	with (sketch) {
	
		glclear();
		glcolor(0,0,0);
		gllinewidth(1.5);
		
		end = length/step;
		a = scale*step;
		v = Math.PI / n;

		x = y = 0;
		moveto(x, y);
		
		for(i = 0; i<end; i++) {
			t = i * step;
			w = v * Math.pow( t, n );
			x += a * Math.cos( w );
			y += a * Math.sin( w );
			
			lineto(x, y);
			//point(x, y);
		}
		outlet(0, i+1);	// output number of points/segments
	}
	
	refresh();
}